#ifndef NTC_H
#define NTC_H

#include<stddef.h>
#include<stdint.h>
#include<stdbool.h>

const char **ntc_get_import_paths();

const char* ntc_get_arg(const char *name);

intmax_t ntc_get_int(const char *name);
intmax_t ntc_get_int_default(const char *name, intmax_t def);

union AST;
bool arch_verify_target();
int arch_ptr_size();
void dumben_pre(union AST *tlc);
void dumben_go(union AST *tlc);
int cg_go(union AST *tlc);

#endif
